openPilotLog

Public Member Functions | Public Attributes | Protected Attributes | List of all members
experimental::AEntry Class Reference

The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on. More...

`#include <aentry.h>`

Inheritance diagram for experimental::AEntry:

## Public Member Functions
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (TableData table_data)
| AEntry (DataPosition position_, TableData table_data)
void | setData (TableData table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition ()
const TableData & | getData ()

## Public Attributes
TableData | tableData

## Protected Attributes
DataPosition | position

## Detailed Description

The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on.

The documentation for this class was generated from the following files:

- src/experimental/aentry.h
- src/experimental/aentry.cpp